Bug 1399246 - Ship /usr/share/doc/perl-Mail-SPF/bin/spfquery as /usr/bin/spfquery [NEEDINFO]
Summary: Ship /usr/share/doc/perl-Mail-SPF/bin/spfquery as /usr/bin/spfquery
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Mail-SPF
Version: 24
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-28 16:08 UTC by customercare
Modified: 2017-06-09 19:15 UTC (History)
5 users (show)

Fixed In Version: perl-Mail-SPF-2.9.0-12.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:15:40 UTC
Type: Bug
jpazdziora: needinfo? (steve)


Attachments (Terms of Use)

Description customercare 2016-11-28 16:08:03 UTC
Description of problem:

/usr/share/doc/perl-Mail-SPF/bin/spfquery comes with root executeable permissions.
If it shall be used by exim or any other non-root mailserver, it needs o+x or g+x and a new group with exim etc.

Eitherway those "temporary" Solutions by admins get deleted with an update/upgrade of the package.

Suggested Solution:

chmod o+x /usr/share/doc/perl-Mail-SPF/bin/spfquery


Version-Release number of selected component (if applicable):

perl-Mail-SPF-2.9.0-7.fc23.noarch

Comment 1 Jan Pazdziora 2016-11-29 07:22:26 UTC
The script is included as an example of using the module, in the documentation directory, not in /usr/bin as fully supported tool. That's why the executable bit is explicitly disabled. Closing as NOTABUG, please reopen if you disagree.

Comment 2 customercare 2016-11-29 08:43:02 UTC
If you use google to search for solutions to check SPF with mailservers, this script is mentioned on so many pages and examples, as the final solution to the problem. Not one page suggests, that it is an example, and neither does the programm itself look like an example.

The commentsection of the script does not mention it too, so ..

yes, i disgree and this script should be useable systemwide.


# 
# spfquery: Command-line tool for performing SPF queries
#
# (C) 2005-2012 Julian Mehnle <julian@mehnle.net>
#     2004      Wayne Schlitt <wayne@schlitt.net>
# $Id: spfquery 138 2006-01-22 18:00:34Z julian $
#

Comment 3 Jan Pazdziora 2016-11-29 09:00:30 UTC
Various web pages are independent from how things are packaged in Fedora and why, so they cannot really comment on perl-Mail-SPF package layout.

So it looks like you are really asking for something else -- you ask to have the script shipped in location where executable commands typically live, and supported as such in Fedora.

Let us see what Steven who initially packaged the module thinks. Steven, would you remember the reason behind packaging spfquery and spfd as documentation in the initial packaging of perl-Mail-SPF?

   http://pkgs.fedoraproject.org/cgit/rpms/perl-Mail-SPF.git/tree/perl-Mail-SPF.spec#n163

Comment 4 customercare 2016-11-29 09:07:32 UTC
I wasn't aware of this package logic. Yes, please move it to ..sbin/ and change the filemods to 755. 

As it does not need to have SUID rights to be used, should not be a problem. I also suggest to set a symlink at the old spot, so that existing serversetups are not broken by this change.

Comment 5 Jan Pazdziora 2016-11-29 09:24:00 UTC
I don't think it belongs to /usr/sbin, it's a normal user-space, so it should go to /usr/bin. And here we have a problem because /usr/sbin/spfquery is already implemented by python-pyspf.

Comment 6 customercare 2016-11-29 09:33:41 UTC
I don't have this installed, so in my case this would not be problem.

But as many packages have this situation, like exim and postfix emulating sendmail, we could use the /etc/alternatives/.. Symlink schema to decide which gets used in the end.

Comment 7 Paul Howarth 2016-11-29 11:56:15 UTC
It's also provided by libspf2, and *that* already uses alternatives.

Comment 8 Jan Pazdziora 2016-12-09 14:03:29 UTC
(In reply to Paul Howarth from comment #7)
> It's also provided by libspf2, and *that* already uses alternatives.

I took a look at libspf2-1.2.10-8.20150405gitd57d79fd.fc25.x86_64 but that does not seem to ship any binary (program), just library:

# rpm -ql libspf2
/usr/lib64/libspf2.so.2
/usr/lib64/libspf2.so.2.1.0
/usr/share/doc/libspf2
/usr/share/doc/libspf2/INSTALL
/usr/share/doc/libspf2/README
/usr/share/doc/libspf2/TODO
/usr/share/licenses/libspf2
/usr/share/licenses/libspf2/LICENSES

Comment 9 Paul Howarth 2016-12-09 14:53:20 UTC
It's in the libspf2-progs sub-package.

Comment 10 Fedora Update System 2017-05-30 09:11:22 UTC
perl-Mail-SPF-2.9.0-12.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b7b0662978

Comment 11 Jan Pazdziora 2017-05-30 09:12:46 UTC
The new build contains spfquery and spfd as alternatives. I'd appreciate your feedback.

Sorry it took me so long to get into packaging it.

Comment 12 Fedora Update System 2017-05-30 21:47:07 UTC
perl-Mail-SPF-2.9.0-12.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b7b0662978

Comment 13 Fedora Update System 2017-06-09 19:15:40 UTC
perl-Mail-SPF-2.9.0-12.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.